# This Python file uses the following encoding: utf-8

# if __name__ == "__main__":
#     pass

import time
from PyQt5.QtCore import QThread, pyqtSignal
#from mainwindow import camhandle
import ctypes
from ctypes import *

class CaptureThread(QThread):
    capturedFrame = pyqtSignal(int, int, int, int)

    def __init__(self, dll, handle, data, parent=None):
        super(CaptureThread, self).__init__(parent)
        self.dll = dll
        self.handle = handle
        self.data = data

    def run(self):
        print("CaptureThread() camhandle =", hex(self.handle), "data =", self.data)
        ret = self.dll.ExpQHYCCDSingleFrame(self.handle)
        w = ctypes.c_uint32()
        h = ctypes.c_uint32()
        b = ctypes.c_uint32()
        c = ctypes.c_uint32()
        ret = self.dll.GetQHYCCDSingleFrame(self.handle, byref(w), byref(h), byref(b), byref(c), self.data)
        if ret == 0:
            self.capturedFrame.emit(w.value, h.value, b.value, c.value)
